<template>
  <el-menu
      :router="true"
      mode="horizontal"
      background-color="black"
      text-color="gold"
      active-text-color="orange"
      :ellipsis="false"
  >

    <el-menu-item index="/">
<!--      TODO Change logo icon-->
      <img
          class = "logo"
          style="width: 50px"
          src="./icons/laptop.svg"
          alt="Sounds & Letters Logo"
      />
    </el-menu-item>
    <div class="flex-grow" />

<!--    TODO | Only display on home page-->
    <!--    <template v-if="ifHomeView">-->
    <el-menu-item index="/login" route="/login">Sign In</el-menu-item>
    <el-menu-item index="/register" route="/register">Sign Up</el-menu-item>
<!--    </template>-->

  </el-menu>
  <el-main>
    <router-view></router-view>
  </el-main>
</template>

<style>
.flex-grow {
  flex-grow: 1;
}

.el-menu-item:hover {
  color: orange !important;
}

</style>

<script setup lang="ts">
/*import { useRoute } from 'vue-router';

const route = useRoute();
const ifHomeView = route.path === '/';*/
</script>